<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="41" short-name="keys-and-locks-1d" url="https://polygon.codeforces.com/p6hKeHJ/tourist/keys-and-locks-1d">
    <names>
        <name language="afrikaans" value="Ключи и замки"/>
        <name language="english" value="Keys and Grates"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="afrikaans" mathjax="true" path="statements/afrikaans/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="afrikaans" mathjax="true" path="statements/.html/afrikaans/problem.html" type="text/html"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="afrikaans" path="statements/.pdf/afrikaans/problem.pdf" type="application/pdf"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="afrikaans" mathjax="true" path="statements/afrikaans/tutorial.tex" type="application/x-tex"/>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="afrikaans" path="statements/.pdf/afrikaans/tutorial.pdf" type="application/pdf"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>171</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=8 -max_t=8 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=17 -max_t=17 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=40 -max_t=40 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=95 -max_t=95 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=229 -max_t=229 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=557 -max_t=557 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=1364 -max_t=1364 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=3352 -max_t=3352 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=8246 -max_t=8246 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=20301 -max_t=20301 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=2" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=2" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=2" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=2" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=3" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=3" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=3" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=3" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=4" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=4" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=4" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=4" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=5" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=5" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=5" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=5" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=6" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=6" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=6" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=6" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=7" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=7" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=7" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=7" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=8" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=8" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=8" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=8" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=9" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=9" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=9" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=9" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=10" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=10" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=10" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=10" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=11" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_sum_ignoring_reordering -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -test_index=11" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=false -test_index=11" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=min_by_permutation -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=0 -max_x=1000000 -disperse=true -test_index=11" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=50000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=50000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=59461 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=59461 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=70711 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=70711 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=84091 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=84091 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=100001 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=100001 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=118922 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=118922 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=141423 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=141423 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=168180 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=168180 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20301" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=49999 -max_t=49999 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=49999" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=49999 -max_t=49999 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=49999" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=31863 -max_t=31863 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=31863" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=31863 -max_t=31863 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=31863" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=20308 -max_t=20308 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20308" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=20308 -max_t=20308 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20308" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=12945 -max_t=12945 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=12945" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=12945 -max_t=12945 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=12945" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=8254 -max_t=8254 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=8254" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=8254 -max_t=8254 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=8254" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=5265 -max_t=5265 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=5265" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=5265 -max_t=5265 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=5265" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=3360 -max_t=3360 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=3360" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=3360 -max_t=3360 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=3360" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=2146 -max_t=2146 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=2146" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=2146 -max_t=2146 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=2146" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=1372 -max_t=1372 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=1372" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=1372 -max_t=1372 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=1372" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=879 -max_t=879 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=879" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=879 -max_t=879 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=879" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=564 -max_t=564 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=564" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=564 -max_t=564 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=564" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=363 -max_t=363 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=363" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=363 -max_t=363 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=363" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=235 -max_t=235 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=235" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=235 -max_t=235 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=235" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=153 -max_t=153 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=153" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=153 -max_t=153 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=153" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=100 -max_t=100 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=100" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=100 -max_t=100 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=100" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=66 -max_t=66 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=66" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=66 -max_t=66 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=66" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=44 -max_t=44 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=44" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=44 -max_t=44 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=44" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=30 -max_t=30 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=30" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=30 -max_t=30 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=30" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=20 -max_t=20 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=20" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=20 -max_t=20 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=20" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=14 -max_t=14 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=14" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=14 -max_t=14 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=14" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=10 -max_t=10 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=10" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=10 -max_t=10 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=10" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=6 -max_t=6 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=6" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=6 -max_t=6 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=6" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=4 -max_t=4 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=4" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=4 -max_t=4 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=4" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=2 -max_t=2 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=2" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=2 -max_t=2 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=2" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.05 -test_index=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_max_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -feasible=0.95 -test_index=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_longest_test -min_t=50000 -max_t=50000 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=0 -random_units=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_longest_test -min_t=3 -max_t=3 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=25000 -random_units=5000" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=1 -random_units=1" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=0 -random_units=0" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=250000 -random_units=25000" method="generated"/>
                <test cmd="keys-and-locks-1d_generate_mi -type=random_longest_test -min_t=1 -max_t=1 -min_n=1 -max_n=200000 -min_x=-1000000 -max_x=1000000 -inaccuracy=250000 -random_units=125000" method="generated"/>
                <test method="manual"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/keys-and-locks-1d_generate_mi.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/keys-and-locks-1d_generate_mi.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/keys-and-locks-1d_validate_mi.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/keys-and-locks-1d_validate_mi.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/keys-and-locks-1d_validate_mi.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/keys-and-locks-1d_validate_mi.exe" type="exe.win32"/>
                <testset>
                    <test-count>4</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/347936327_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347936327_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/347946461_xiaowuc1_wa38.cpp" type="cpp.g++17"/>
                <binary path="solutions/347946461_xiaowuc1_wa38.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/347948490_xiaowuc1_wa38.cpp" type="cpp.g++17"/>
                <binary path="solutions/347948490_xiaowuc1_wa38.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/347948538_xiaowuc1_wa38.cpp" type="cpp.g++17"/>
                <binary path="solutions/347948538_xiaowuc1_wa38.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348009104_shevlopmes_RomkaRS_artem3605_wa23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348009104_shevlopmes_RomkaRS_artem3605_wa23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348011234_shevlopmes_RomkaRS_artem3605_wa23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348011234_shevlopmes_RomkaRS_artem3605_wa23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348012239_shevlopmes_RomkaRS_artem3605_wa47.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348012239_shevlopmes_RomkaRS_artem3605_wa47.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348012652_shevlopmes_RomkaRS_artem3605_wa59.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348012652_shevlopmes_RomkaRS_artem3605_wa59.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348018061_shevlopmes_RomkaRS_artem3605_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348018061_shevlopmes_RomkaRS_artem3605_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348067143_shade34_SomethingNew_goncharovmike_ok.py" type="python.pypy3-64"/>
                <binary path="solutions/348067143_shade34_SomethingNew_goncharovmike_ok.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348142573_Karuk_BLOBVISGOD_jeroenodb_wa23.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348142573_Karuk_BLOBVISGOD_jeroenodb_wa23.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348143359_Karuk_BLOBVISGOD_jeroenodb_wa49.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348143359_Karuk_BLOBVISGOD_jeroenodb_wa49.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348145046_Karuk_BLOBVISGOD_jeroenodb_wa49.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348145046_Karuk_BLOBVISGOD_jeroenodb_wa49.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348147617_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348147617_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/keys-and-locks-1d_avoid_sort_mi_tl.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_avoid_sort_mi_tl.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/keys-and-locks-1d_avoid_sort_mi_tl_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_avoid_sort_mi_tl_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/keys-and-locks-1d_avoid_sort_wrong_operator_mi_tl_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_avoid_sort_wrong_operator_mi_tl_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/keys-and-locks-1d_dp_another_bug_mi_tl_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_dp_another_bug_mi_tl_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/keys-and-locks-1d_dp_bug_mi_tl_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_dp_bug_mi_tl_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-memory-limit-exceeded">
                <source path="solutions/keys-and-locks-1d_dp_mi_tl.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_dp_mi_tl.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/keys-and-locks-1d_dp_mi_tl_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_dp_mi_tl_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/keys-and-locks-1d_oans_better_mi_tl_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_oans_better_mi_tl_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/keys-and-locks-1d_overflow_mi_wa.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_overflow_mi_wa.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/keys-and-locks-1d_with_cerr_mi_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_with_cerr_mi_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/keys-and-locks-1d_without_cerr_mi_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/keys-and-locks-1d_without_cerr_mi_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist_sparse.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist_sparse.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <documents>
        <document path="documents/description.txt" type="text/plain"/>
        <document path="documents/tutorial.txt" type="text/plain"/>
    </documents>
    <tags>
        <tag value="coordinates"/>
        <tag value="sort"/>
    </tags>
</problem>
